# frozen_string_literal: true

require_relative "lib/credentials/version"

Gem::Specification.new do |spec|
  spec.name          = "ez-credentials"
  spec.version       = Credentials::VERSION
  spec.authors       = ["jimjoyce"]
  spec.email         = ["j.joyce92@gmail.com"]

  spec.summary       = "A simple wrapper around Rails encrypted credentials"
  spec.description   = "A wrapper for encrypted credentials to return enivronment namepsaced credentials"
  spec.homepage      = "https://bitbucket.org/eightbitdevelopers/credentials"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org/"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://bitbucket.org/eightbitdevelopers/credentials"
  spec.metadata["changelog_uri"] = "https://bitbucket.org/eightbitdevelopers/credentials/src/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.add_development_dependency 'rails', '>= 5.2.1'

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
